import threading
from app.api_data.platform_order.get_order import *
from app.api_data.tx_ad_cost.get_cost_older import old_cost_hourly, old_cost_daily
from app.etl.sync_to_ck_task import order_sync_ck
from app.api_data.platform_order import yangguang
from app.api_data.tx_ad_cost import get_cost_older
from app.etl.data_stat_run import do_cost


def hourly():
    t1 = threading.Thread(target=huasheng)
    t2 = threading.Thread(target=qiyue)
    t3 = threading.Thread(target=qiyueyousheng)
    t4 = threading.Thread(target=wending)
    t5 = threading.Thread(target=zhangdu)
    t6 = threading.Thread(target=zhangzhongyun)
    t7 = threading.Thread(target=yueweng)
    t8 = threading.Thread(target=yangguang.yangguang)
    t9 = threading.Thread(target=youshuge)
    t10 = threading.Thread(target=guofeng)
    t11 = threading.Thread(target=old_cost_hourly)
    t1.start()
    t1.join()
    t2.start()
    t2.join()

    t3.start()
    t3.join()

    t4.start()
    t4.join()

    t5.start()
    t5.join()

    t6.start()
    t6.join()

    t7.start()
    t7.join()

    t8.start()
    t8.join()

    t9.start()
    t9.join()

    t10.start()
    t10.join()

    t11.start()
    t11.join()


def daily():
    st = du.get_n_days(-10)
    et = du.get_n_days(-1)

    t1 = threading.Thread(target=huasheng, args=(st, et))
    t2 = threading.Thread(target=qiyue, args=(st, et))
    t3 = threading.Thread(target=qiyueyousheng, args=(st, et))
    t4 = threading.Thread(target=wending, args=(st, et))
    t5 = threading.Thread(target=zhangdu, args=(st, et))
    t6 = threading.Thread(target=zhangzhongyun, args=(st, et))
    t7 = threading.Thread(target=yueweng, args=(st, et))
    t8 = threading.Thread(target=yangguang, args=(st, et))
    t9 = threading.Thread(target=youshuge, args=(st, et))
    t10 = threading.Thread(target=guofeng, args=(st, et))
    t11 = threading.Thread(target=old_cost_daily, args=())
    t1.start()
    t1.join()
    t2.start()
    t2.join()
    t3.start()
    t3.join()
    t4.start()
    t4.join()
    t5.start()
    t5.join()
    t6.start()
    t6.join()
    t7.start()
    t7.join()
    t8.start()
    t8.join()
    t9.start()
    t9.join()
    t10.start()
    t10.join()
    t11.start()
    t11.join()

    yangguang.get_channel_info()


def cost_yestoday_repair():
    dt = du.get_n_days(-1)
    get_cost_older.run(dt, dt)
    do_cost(dt, dt)


def yueweng_order_repair():
    dt = du.get_n_days(-1)
    yueweng(dt, dt)
    order_sync_ck(dt)


if __name__ == '__main__':
    hourly()
    # cost_yestoday_repair()
