"""用户标签清洗"""
from model.DataBaseUtils import CkUtils,MysqlUtils
import pandas as pd
from model.DateUtils import DateUtils
import sys
ck = CkUtils()
db = MysqlUtils()
du = DateUtils()
import time

def save_data(df):
    table = 't_mp_fans'
    keys = ['mp_id', 'open_id']
    tags = ['recharge_count', 'recharge_money', 'last_recharge_time',
            'platform_book_name', 'platform_book_user_id', 'members', 'book_coin','channel_id']
    db.zx.dfUpdate2mysql(df, table, keys, tags)



def QiyueUserInfo():
    # 书城用户信息
    sql1 = """select 
                        user_id platform_book_user_id,
                        open_id,
                        channel_id,
                        wechat_app_id ,
                        coin+free_coin book_coin,
                        if(vip_endtime=0,0,1) members  from platform_user_info where platform='七悦'"""

    df1 = db.quchen_text.getData_pd(sql1)

    # 用户订单信息
    sql2 = """select channel_id,
                  user_id open_id,
                  count(1) recharge_count,
                  sum(amount) recharge_money,
                  max(order_time) last_recharge_time
                  from order where status=2 and platform='七悦'
                  group by channel_id,user_id"""

    df2 = ck.getData_pdv2(sql2)

    # 查询公众号在本地的id
    sql3 = """select cast(id as char) mp_id,appid wechat_app_id  from t_mp_account"""
    df3 = db.zx.getData_pd(sql3)

    df = df1.merge(df2,how='left',on=['channel_id','open_id']).merge(df3,how='left',on='wechat_app_id')
    df['platform_book_name'] = '七悦'
    print(df)
    save_data(df)


if __name__ == '__main__':
    # run_today()
    # get_qc_channel_info()
    # run_all(19)
    QiyueUserInfo()