import hashlib
import random


def md5(s):
    md5 = hashlib.md5()
    md5.update(s.encode("utf-8"))
    return md5.hexdigest()


def sha1(s):
    sha1 = hashlib.sha1()
    sha1.update(s.encode("utf-8"))
    return sha1.hexdigest()


def get_random_str(num=5):
    H = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789'
    salt = ''
    for i in range(num):
        salt += random.choice(H)
    return salt

"""把一个列表切分多个列表"""
def split_list(li,range=2):
    data =[]
    a = len(li)
    x = 0
    y = range

    while True:
        # print(x,y)
        data.append(li[x:y])
        x = y
        y += range
        if y >= a+range:
            break
    return data

def split_int(st,et,range):
    """:returns [(st1,et1),(st2,et2)..]"""
    li = []
    while True:
        next_int = st+range-1
        if next_int >= et:
            li.append((st, et))
            break
        else:
            li.append((st,next_int))

            st = next_int+1
    # print(li)

    return li



if __name__ == '__main__':
    # a=split_list([1,2,3,4,5,6,7,8,9,10],3)
    # print(a)
    a = split_int(1,10,3)
    print(a)


